# For Perl-Git
%define perl  %{_bindir}/perl_32
%define perl_version  %(eval "`%{perl} -V:version`" ; echo $version)
%define perl_vendorlib %(eval "`%{perl} -V:installvendorlib`"; echo $installvendorlib)

# Tests by default. No tests: rpm -ba --define 'dotests 0' git*.spec
%{!?dotests: %define dotests 1}
# - Include prebuilt documentation - pbs xmlto/asciidoc & access to network URLs
%global use_prebuilt_docs   1
%define _libdir64 %{_libdir}64

Name: 		git
Version: 2.20.4
Release: 1
Summary:  	Core git tools
License: 	GPLv2
Group: 		Development/Tools
URL: 		http://kernel.org/pub/software/scm/git/
Source0: http://kernel.org/pub/software/scm/git//git-%{version}.tar.xz
Source2: 	%{name}.conf.httpd
Source3: 	gitweb.conf.in
Source4: 	https://www.kernel.org/pub/software/scm/git/%{name}-htmldocs-%{version}.tar.xz
Source5: 	https://www.kernel.org/pub/software/scm/git/%{name}-htmldocs-%{version}.tar.sign
Source6: 	https://www.kernel.org/pub/software/scm/git/%{name}-manpages-%{version}.tar.xz
Source7: 	https://www.kernel.org/pub/software/scm/git/%{name}-manpages-%{version}.tar.sign
Patch0: 	%{name}-2.20.1-aix.patch
Patch1:		%{name}-2.20.1-compat_util.patch
Patch2:		%{name}-2.20.1-mk-aix.patch
Patch3:		%{name}-2.20.2-makefile.patch
Patch4:		%{name}-2.20.1-libexec.patch
Patch5:		%{name}-2.20.2-bmaxdata.patch
Patch6:		%{name}-2.20.1-SIGCHLD-handler-v2.patch
Patch7:		%{name}-2.20.1-t9300-fast-import.patch
Patch8:		%{name}-2.20.1-fileno.patch
Patch9:		%{name}-2.20.1-TAR.patch
Patch10:	%{name}-2.20.1-SED.patch
Patch11:	%{name}-2.20.1-AR-L.patch

%if ! %{use_prebuilt_docs}
BuildRequires:	asciidoc >= 8.6.3
BuildRequires:	xmlto >= 0.0.24-1
%endif

BuildRequires:	coreutils
BuildRequires:	curl-devel >= 7.60.0
BuildRequires:	expat-devel >= 2.2.0
BuildRequires:	gettext >= 0.19.8.1
#BuildRequires:	openssl >= 1.0.1-g
#BuildRequires:	openssl-devel >= 1.0.1-g
BuildRequires:	perl >= %{perl_version}
BuildRequires:	zlib-devel >= 1.2.11

Requires:	bash
PreReq	:	curl >= 7.60.0
Requires:	expat >= 2.2.0
Requires:	gettext >= 0.19.8.1
Requires:	less
#Requires:	openssl >= 1.0.1-g
Requires:	perl >= %{perl_version}
Requires:	python >= 2.7.12
Requires:	rsync
Requires:	zlib >= 1.2.11
Requires:	libiconv >= 1.14
Requires:	openldap >= 2.4.45-3
Requires:	libssh2 >= 1.8.0-2
Requires:	krb5-libs >= 1.16.1-3

%description
Git is a fast, scalable, distributed revision control system with an
unusually rich command set that provides both high-level operations
and full access to internals.


%package arch
Summary:        Git tools for importing Arch repositories
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}
Requires:       perl >= %{perl_version}
Requires:       tla


%description arch
Git tools for importing Arch repositories.


%package cvs
Summary:        Git tools for importing CVS repositories
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}
Requires:       cvs
Requires:       cvsps
Requires:       perl >= %{perl_version}

%description cvs
Git tools for importing CVS repositories.


%package daemon
Summary:        Git protocol dæmon
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}
Requires:	libiconv >= 1.14-1
Requires:	gettext >= 0.19.8.1
Requires:	zlib >= 1.2.11

%description daemon
The git daemon for supporting git:// access to git repositories


%package email
Summary:        Git tools for sending email
Group:          Development/Tools
Requires:	%{name} = %{version}-%{release}
Requires:	perl >= %{perl_version}
Requires: 	perl-Net-SMTP-SSL
Requires: 	perl-Authen-SASL
%description email
Git tools for sending email.


%package gui
Summary:        Git GUI tool
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}
#Requires:       tcl >= 8.4
#Requires:       tk >= 8.4

%description gui
Git GUI tool.


%package svn
Summary:        Git tools for importing Subversion repositories
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}
Requires:       perl >= %{perl_version}
Requires:       subversion
## Requires:     perl(Term::Readkey)
Requires:       libiconv >= 1.14-1
Requires:       gettext >= 0.19.8.1
Requires:       zlib >= 1.2.11

%description svn
Git tools for importing Subversion repositories.


%package -n gitk
Summary:        Git revision tree visualiser
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}
#Requires:       tcl >= 8.4
#Requires:       tk >= 8.4

%description -n gitk
Git revision tree visualiser.


%package -n gitweb
Summary:        Simple web interface to git repositories
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}
Requires:       httpd
Requires:       perl >= %{perl_version}

%description -n gitweb
Simple web interface to track changes in git repositories


%package -n perl-Git
Summary:        Perl interface to Git
Group:          Development/Libraries
# this is contained in our base perl packag
# BuildRequires:  perl(ExtUtils::MakeMaker)
# this we don't have yet
# BuildRequires:  perl(Error)
Requires:       %{name} = %{version}-%{release}
#Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl >= %{perl_version}
#Requires:       perl(Error)

%description -n perl-Git
Perl interface to Git.


%prep
%setup -q
%patch0
%patch1
%patch2
%patch6
%patch8
%patch9 
%patch10 -p1
%patch11 -p1

%if %{use_prebuilt_docs}
mkdir -p prebuilt_docs/html
mkdir -p prebuilt_docs/man
cd prebuilt_docs/html
xz -dc %{SOURCE4} | tar xf -
cd ../../prebuilt_docs/man
xz -dc %{SOURCE6} | tar xf -
cd ../..
# Remove non-html files
find prebuilt_docs/html -type f ! -name '*.html' | xargs rm
find prebuilt_docs/html -type d | xargs rmdir --ignore-fail-on-non-empty
%endif

# Replace sh=ksh by bash inside all test files
# In addition to: SHELL_PATH=/usr/bin/bash
# Maybe can be speed up 
change_binsh_by_usrbinbash() {

  for f in `find .`
  do
    if [ -x $f ]
    then
	EXECUTABLE=1
    else
	EXECUTABLE=0
    fi
    if [ -f $f ]
    then
      ( (grep "#\! /bin/sh"    $f > /dev/null 2>&1 ; echo $? > /tmp/git-sh-$$) || true )
      RES=`cat /tmp/git-sh-$$`
      if [ $RES -eq 0 ]
      then
      	cat $f | sed "s|#! /bin/sh|#!/usr/bin/bash|" > /tmp/f$$
      	mv /tmp/f$$ $f
      fi
      ( (grep "#\!/usr/bin/sh" $f > /dev/null 2>&1 ; echo $? > /tmp/git-sh-$$) || true )
      RES=`cat /tmp/git-sh-$$`
      if [ $RES -eq 0 ]
      then
      	cat $f | sed "s|/usr/bin/sh|#!/usr/bin/bash|" > /tmp/f$$
      	mv /tmp/f$$ $f
      fi
      ( (grep "#\!/bin/sh"     $f > /dev/null 2>&1 ; echo $? > /tmp/git-sh-$$) || true )
      RES=`cat /tmp/git-sh-$$`
      if [ $RES -eq 0 ]
      then
      	cat $f | sed "s|#!/bin/sh|#!/usr/bin/bash|" > /tmp/f$$
      	mv /tmp/f$$ $f
      fi
      if [ EXECUTABLE -eq 1 ]
      then
        chmod +x $f
      fi
    fi
  done
  rm -f /tmp/f$$ /tmp/git-sh-$$
}
change_binsh_by_usrbinbash

# Must change back to /bin/sh for testing t9300-fast-import.sh
%patch7

# Use these same options for every invocation of 'make'.
# Otherwise it will rebuild in %%install due to flags changes.
cat << \EOF > config.mak
prefix = %{_prefix}
mandir = %{_mandir}
CC_LD_DYNPATH = "-L"
ETC_GITCONFIG = %{_sysconfdir}/gitconfig

# gitweb
GITWEB_PROJECTROOT = /var/lib/git
gitwebdir = /var/www/git

# Perl
perllibdir = %{perl_vendorlib}


EOF
# Print config.mak to aid confirmation/verification of settings
cat config.mak

rm -rf   /tmp/%{name}-%{version}-32bit
cp -pr . /tmp/%{name}-%{version}-32bit
rm -fr *
mv       /tmp/%{name}-%{version}-32bit 32bit
cp -pr 32bit 64bit
%patch3
%patch5
cd 64bit
%patch4 -p0


%build
#export CC="/usr/vac/bin/xlc_r"
#export CXX="/usr/vacpp/bin/xlC_r"
export CC="/opt/freeware/bin/gcc"
export CXX="/opt/freeware/bin/g++"
export AR="/usr/bin/ar -X32_64"
export TAR=/opt/freeware/bin/tar
#Build on 64bit mode
cd 64bit
export OBJECT_MODE=64
export CFLAGS="-O2 -maix64"
export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib /opt/freeware/lib/libiconv.a -Wl,-blibpath:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib"

# Required for testing
export   SHELL_PATH=/usr/bin/bash
export        SHELL=/usr/bin/bash
export CONFIG_SHELL=/usr/bin/bash

chmod +x ./configure
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --libdir=/opt/freeware/lib64 \
    --libexecdir=/opt/freeware/libexec64 \
    --with-perl=%{_prefix}/bin/perl \
    --with-openssl=/usr \
    --with-pager=/opt/freeware/bin/less

PATH=/opt/freeware/bin:$PATH CFLAGS="$CFLAGS" gmake %{?_smp_mflags} NO_REGEX=NeedsStartEnd
if [ "%{dotests}" == 1 ]
then
    (make -i test NO_REGEX=NeedsStartEnd || true)
(gmake -C contrib/credential/netrc/ -k test || \
 gmake -C contrib/credential/netrc/ -k testverbose || \
 true)

fi

#Build on 32bit mode
cd ../32bit
export OBJECT_MODE=32
export CFLAGS="-O2 -D_LARGE_FILES -maix32"
export LDFLAGS="-Wl,-bmaxdata:0x80000000 -L/opt/freeware/lib /opt/freeware/lib/libiconv.a -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib"
export CURL_CONFIG=/opt/freeware/bin/curl-config_32

chmod +x ./configure
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --libdir=/opt/freeware/lib \
    --libexecdir=/opt/freeware/libexec \
    --with-perl=%{_prefix}/bin/perl \
    --with-openssl=/usr \
    --with-pager=/opt/freeware/bin/less

PATH=/opt/freeware/bin:$PATH CFLAGS="$CFLAGS" gmake %{?_smp_mflags} NO_REGEX=NeedsStartEnd V=1
if [ "%{dotests}" == 1 ]
then
    (make -i test NO_REGEX=NeedsStartEnd || true)
(gmake -C contrib/credential/netrc/ test || \
 gmake -C contrib/credential/netrc/ testverbose || \
 true)

fi

%install
export PATH=/opt/freeware/bin:$PATH

[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

#Install on 64bit mode
cd 64bit
export OBJECT_MODE=64
gmake install DESTDIR=${RPM_BUILD_ROOT} INSTALLDIRS=vendor NO_REGEX=NeedsStartEnd

(
    cd  ${RPM_BUILD_ROOT}/%{_prefix}/bin
    for fic in $(ls -1| grep -v -e _32 -e _64)
    do
	mv $fic "$fic"_64
    done
)
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/*_64 || :

mkdir -p ${RPM_BUILD_ROOT}/var/lib64/git
#sed "s|@PROJECTROOT@|/var/lib64/git|g" \
#    %{SOURCE3} > ${RPM_BUILD_ROOT}%{_sysconfdir}/gitweb.conf


#Install on 32bit mode
cd ../32bit
export OBJECT_MODE=32
gmake install DESTDIR=${RPM_BUILD_ROOT} INSTALLDIRS=vendor NO_REGEX=NeedsStartEnd

(
    cd  ${RPM_BUILD_ROOT}/%{_prefix}/bin
    for fic in $(ls -1| grep -v -e _32 -e _64)
    do
	mv $fic "$fic"_32
	ln -sf "$fic"_64 $fic
    done
)


%if ! %{use_prebuilt_docs}
gmake install-doc DESTDIR=${RPM_BUILD_ROOT} INSTALLDIRS=vendor
%else
mkdir -p %{buildroot}%{_mandir}
cp -a prebuilt_docs/man/* %{buildroot}%{_mandir}
cp -a prebuilt_docs/html/* Documentation/
%endif

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/*_32 || :
/usr/bin/strip ${RPM_BUILD_ROOT}%{_libexecdir}/git-core/* || :
/usr/bin/strip ${RPM_BUILD_ROOT}%{_libexecdir}64/git-core/* || :

mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}/httpd/conf.d
install -m 0644 %{SOURCE2} ${RPM_BUILD_ROOT}/%{_sysconfdir}/httpd/conf.d/git.conf

mkdir -p ${RPM_BUILD_ROOT}/var/lib/git
sed "s|@PROJECTROOT@|/var/lib/git|g" \
    %{SOURCE3} > ${RPM_BUILD_ROOT}%{_sysconfdir}/gitweb.conf

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man3
# Install man of perl Modules
gmake install-man-perl DESTDIR=${RPM_BUILD_ROOT} INSTALLDIRS=vendor

find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name '*.bs' -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -exec rm -f {} ';'

(find ${RPM_BUILD_ROOT}%{_bindir} -type f | grep -vE "archimport|svn|cvs|email|gitk|git-gui|git-citool|git-daemon" | sed -e s@^${RPM_BUILD_ROOT}@@) > bin-man-doc-files
(find ${RPM_BUILD_ROOT}%{_libexecdir} -type f | grep -vE "archimport|svn|cvs|email|gitk|git-gui|git-citool|git-daemon" | sed -e s@^${RPM_BUILD_ROOT}@@) >> bin-man-doc-files
(find ${RPM_BUILD_ROOT}%{_libexecdir}64 -type f | grep -vE "archimport|svn|cvs|email|gitk|git-gui|git-citool|git-daemon" | sed -e s@^${RPM_BUILD_ROOT}@@) >> bin-man-doc-files

(find ${RPM_BUILD_ROOT}%{perl_vendorlib} -type f | sed -e s@^${RPM_BUILD_ROOT}@@) > perl-git-files
(find ${RPM_BUILD_ROOT}%{perl_vendorlib} -mindepth 1 -type d | sed -e "s@^${RPM_BUILD_ROOT}@%dir @") >> perl-git-files

(find ${RPM_BUILD_ROOT}%{_mandir} -type f | grep -vE "archimport|svn|git-cvs|email|gitk|git-gui|git-citool|git-daemon|Git" | sed -e s@^${RPM_BUILD_ROOT}@@ -e 's/$/*/' ) >> bin-man-doc-files

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .

(find ${RPM_BUILD_ROOT}/usr/bin -type f | grep -vE "archimport|svn|cvs|email|gitk|git-gui|git-citool|git-daemon" | sed -e s@^${RPM_BUILD_ROOT}@@) >> bin-man-doc-files

%pre
cur_ver=`rpm -qi curl|grep Version|cut -d':' -f2`
cur_ver=`echo "$cur_ver" | /usr/bin/awk -F "." '{ printf("%03d%03d%03d\n", $1,$2,$3); }';`
cur_rel=`rpm -qi curl|grep Release|cut -d':' -f2`
req_ver=7.60.0
req_ver=`echo "$req_ver" | /usr/bin/awk -F "." '{ printf("%03d%03d%03d\n", $1,$2,$3); }';`
if [[ $cur_ver < $req_ver ]]; then
	echo "Please update curl to 7.60.0 or later so that proper gcc(6.3.0) version will be installed.
              curl-7.60.0 is built with gcc-6.3.0, hence the system needs to have gcc-6.3.0 or higher version."
	exit 1
fi

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files -f 32bit/bin-man-doc-files
%defattr(-,root,system)
%doc 32bit/README.md 32bit/COPYING 32bit/Documentation/*.txt 32bit/Documentation/RelNotes 32bit/contrib/
%doc 32bit/Documentation/howto 32bit/Documentation/technical
%{_datadir}/git-core/
%dir %{_libexecdir}/git-core/
%dir %{_libexecdir}64/git-core/
%{_bindir}/git
%{_bindir}/git-receive-pack
%{_bindir}/git-shell
%{_bindir}/git-upload-archive
%{_bindir}/git-upload-pack
/usr/bin/git-receive-pack*
/usr/bin/git-shell*
/usr/bin/git-upload-archive*
/usr/bin/git-upload-pack*
/usr/bin/git
/usr/bin/git_32
/usr/bin/git_64


%files arch
%defattr(-,root,system)
%doc 32bit/Documentation/git-archimport.txt
%{_libexecdir}/git-core/git-archimport
%{_libexecdir}64/git-core/git-archimport


%files cvs
%defattr(-,root,system)
%doc 32bit/Documentation/*git-cvs*.txt
%{_bindir}/*cvsserver*
%{_libexecdir}/git-core/*cvs*
%{_libexecdir}64/git-core/*cvs*
/usr/bin/*cvsserver*
%{_mandir}/man1/*cvs*.1*


%files daemon
%defattr(-,root,system)
%doc 32bit/Documentation/*daemon*.txt
%{_libexecdir}/git-core/git-daemon
%{_libexecdir}64/git-core/git-daemon
%{_mandir}/man1/*daemon*.1*
/var/lib/git
/var/lib64/git


%files email
%defattr(-,root,system)
%doc 32bit/Documentation/*email*.txt
%{_libexecdir}/git-core/*email*
%{_libexecdir}64/git-core/*email*
%{_mandir}/man1/*email*.1*


%files gui
%defattr(-,root,system)
%{_libexecdir}/git-core/git-gui*
%{_libexecdir}64/git-core/git-gui*
%{_libexecdir}/git-core/git-citool
%{_libexecdir}64/git-core/git-citool
%{_datadir}/git-gui
%{_mandir}/man1/git-citool.1*
%{_mandir}/man1/git-gui.1*


%files svn
%defattr(-,root,system)
%doc 32bit/Documentation/*svn*.txt
%{_libexecdir}/git-core/*svn*
%{_libexecdir}64/git-core/*svn*
%{_mandir}/man1/*svn*.1*


%files -n gitk
%defattr(-,root,system)
%doc 32bit/Documentation/*gitk*.txt
%{_bindir}/*gitk*
%{_datadir}/gitk
/usr/bin/*gitk*


%files -n perl-Git -f 32bit/perl-git-files
%defattr(-,root,system)
%{_mandir}/man3/*Git*
#%{_mandir}/man3/private-Error.3


%files -n gitweb
%defattr(-,root,system)
%doc 32bit/gitweb/INSTALL 32bit/gitweb/README
%config(noreplace)%{_sysconfdir}/gitweb.conf
%config(noreplace)%{_sysconfdir}/httpd/conf.d/git.conf
/var/www/git/


%changelog
* Fri Jul 3 2020 Reshma V Kumar <reskumar@in.ibm.com> - 2.20.4-1
- Update to fix CVE-2020-5260,CVE-2020-5260
- Ship perl-Git files in proper path

* Wed Mar 18 2020 Reshma V Kumar <reskumar@in.ibm.com> 2.20.2-1
- Update to fix CVE-2019-1348, CVE-2019-19604, CVE-2019-1353
- Ship Git.pm in correct location

* Tue Feb 19 2019 Reshma V Kumar <reskumar@in.ibm.com> 2.20.1-1
- Update to latest version

* Thu Aug 2 2018 Reshma V Kumar <reskumar@in.ibm.com> 2.18.0-1
- Update to latest version

* Thu Jul 26 2018 Reshma V Kumar <reskumar@in.ibm.com> 2.15.0-2
- Rebuilt adding Requires: curl>=7.60.0, solve libexec64 path issue

* Thu Nov 30 2017 Reshma V Kumar <reskumar@in.ibm.com> 2.15.0-1
- Updated to latest version

* Fri Apr 28 2017 Reshma V Kumar <reskumar@in.ibm.com> 2.12.0-1
- Updated to latest version

* Tue May 10 2016 Michael Wilson <michael.wilson@bull.net> 2.8.2-1
- Updated to version 2.8.2

* Mon May 19 2014 Gerard Visiedo <gerard.visiedo@bull.net> 1.8.3.1-3
- Re-Build with openssl.10.0.1-g due to symbole lost into new library libcrypto.so.1.0.1

* Thu Jul 18 2013 Gerard Visiedo <gerard.visiedo@bull.net> 1.8.3.1-2
- Build on Aix6.1

* Mon Jun 24 2013 Michael Perzl <michael@perzl.org> - 1.8.3.1-1
- updated to version 1.8.3.1

* Wed May 29 2013 Michael Perzl <michael@perzl.org> - 1.8.3-1
- updated to version 1.8.3

* Wed May 29 2013 Michael Perzl <michael@perzl.org> - 1.8.2.3-1
- updated to version 1.8.2.3

* Wed Mar 20 2013 Michael Perzl <michael@perzl.org> - 1.8.2-1
- updated to version 1.8.2

* Wed Mar 20 2013 Michael Perzl <michael@perzl.org> - 1.8.1.5-1
- updated to version 1.8.1.5

* Wed Feb 20 2013 Michael Perzl <michael@perzl.org> - 1.8.1.4-1
- updated to version 1.8.1.4

* Thu Jan 17 2013 Michael Perzl <michael@perzl.org> - 1.8.1.1-1
- updated to version 1.8.1.1

* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 1.8.1-1
- updated to version 1.8.1

* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 1.8.0.3-1
- updated to version 1.8.0.3

* Mon Dec 17 2012 Michael Perzl <michael@perzl.org> - 1.8.0.2-1
- updated to version 1.8.0.2

* Wed Dec 05 2012 Michael Perzl <michael@perzl.org> - 1.8.0.1-1
- updated to version 1.8.0.1

* Thu Oct 25 2012 Michael Perzl <michael@perzl.org> - 1.8.0-1
- updated to version 1.8.0

* Thu Oct 25 2012 Michael Perzl <michael@perzl.org> - 1.7.12.4-1
- updated to version 1.7.12.4

* Tue Oct 09 2012 Michael Perzl <michael@perzl.org> - 1.7.12.3-1
- updated to version 1.7.12.3

* Tue Oct 09 2012 Michael Perzl <michael@perzl.org> - 1.7.11.7-1
- updated to version 1.7.11.7

* Thu Aug 09 2012 Michael Perzl <michael@perzl.org> - 1.7.11.4-1
- updated to version 1.7.11.4

* Fri Jul 27 2012 Michael Perzl <michael@perzl.org> - 1.7.11.3-1
- updated to version 1.7.11.3

* Wed Jul 18 2012 Michael Perzl <michael@perzl.org> - 1.7.11.2-1
- updated to version 1.7.11.2

* Fri Jun 22 2012 Michael Perzl <michael@perzl.org> - 1.7.11.1-1
- updated to version 1.7.11.1

* Tue Jun 19 2012 Michael Perzl <michael@perzl.org> - 1.7.11-1
- updated to version 1.7.11

* Tue Jun 19 2012 Michael Perzl <michael@perzl.org> - 1.7.10.5-1
- updated to version 1.7.10.5

* Mon Jun 04 2012 Michael Perzl <michael@perzl.org> - 1.7.10.4-1
- updated to version 1.7.10.4

* Mon Jun 04 2012 Michael Perzl <michael@perzl.org> - 1.7.10.2-2
- rebuilt against correct version of openssl

* Tue May 15 2012 Michael Perzl <michael@perzl.org> - 1.7.10.2-1
- updated to version 1.7.10.2

* Thu May 03 2012 Michael Perzl <michael@perzl.org> - 1.7.10.1-1
- updated to version 1.7.10.1

* Sun Apr 15 2012 Michael Perzl <michael@perzl.org> - 1.7.10-1
- updated to version 1.7.10

* Mon Apr 02 2012 Michael Perzl <michael@perzl.org> - 1.7.9.5-1
- updated to version 1.7.9.5

* Tue Mar 13 2012 Michael Perzl <michael@perzl.org> - 1.7.9.4-1
- updated to version 1.7.9.4

* Mon Mar 05 2012 Michael Perzl <michael@perzl.org> - 1.7.9.2-1
- updated to version 1.7.9.2

* Fri Feb 17 2012 Michael Perzl <michael@perzl.org> - 1.7.9.1-1
- updated to version 1.7.9.1

* Wed Feb 08 2012 Michael Perzl <michael@perzl.org> - 1.7.9-2
- fixed compile against wrong openssl version

* Tue Jan 31 2012 Michael Perzl <michael@perzl.org> - 1.7.9-1
- updated to version 1.7.9

* Tue Jan 31 2012 Michael Perzl <michael@perzl.org> - 1.7.8.4-1
- updated to version 1.7.8.4

* Thu Jan 05 2012 Michael Perzl <michael@perzl.org> - 1.7.8.2-1
- updated to version 1.7.8.2

* Fri Dec 23 2011 Michael Perzl <michael@perzl.org> - 1.7.8.1-1
- updated to version 1.7.8.1

* Thu Dec 15 2011 Michael Perzl <michael@perzl.org> - 1.7.8-1
- updated to version 1.7.8

* Thu Dec 15 2011 Michael Perzl <michael@perzl.org> - 1.7.7.4-1
- updated to version 1.7.7.4

* Thu Nov 17 2011 Michael Perzl <michael@perzl.org> - 1.7.7.3-1
- updated to version 1.7.7.3
- added man pages
- added 'git-daemon' package

* Thu Nov 03 2011 Michael Perzl <michael@perzl.org> - 1.7.7.2-1
- updated to version 1.7.7.2

* Tue Sep 27 2011 Michael Perzl <michael@perzl.org> - 1.7.6.4-1
- updated to version 1.7.6.4

* Wed Sep 07 2011 Michael Perzl <michael@perzl.org> - 1.7.6.1-1
- updated to version 1.7.6.1

* Mon Jul 25 2011 Michael Perzl <michael@perzl.org> - 1.7.6-2
- fixed a spec file typo

* Fri Jul 01 2011 Michael Perzl <michael@perzl.org> - 1.7.6-1
- updated to version 1.7.6

* Mon Jun 13 2011 Michael Perzl <michael@perzl.org> - 1.7.5.4-1
- updated to version 1.7.5.4

* Mon May 23 2011 Michael Perzl <michael@perzl.org> - 1.7.5.2-1
- updated to version 1.7.5.2

* Thu May 05 2011 Michael Perzl <michael@perzl.org> - 1.7.5.1-1
- updated to version 1.7.5.1

* Tue Apr 26 2011 Michael Perzl <michael@perzl.org> - 1.7.5-1
- updated to version 1.7.5

* Tue Apr 26 2011 Michael Perzl <michael@perzl.org> - 1.7.4.5-1
- updated to version 1.7.4.5

* Wed Apr 13 2011 Michael Perzl <michael@perzl.org> - 1.7.4.4-1
- updated to version 1.7.4.4

* Fri Apr 01 2011 Michael Perzl <michael@perzl.org> - 1.7.4.2-1
- updated to version 1.7.4.2

* Tue Mar 22 2011 Michael Perzl <michael@perzl.org> - 1.7.4.1-1
- updated to version 1.7.4.1

* Fri Feb 18 2011 Michael Perzl <michael@perzl.org> - 1.7.4-2
- fixed configure script for XLC so no profiling version is compiled

* Thu Feb 03 2011 Michael Perzl <michael@perzl.org> - 1.7.4-1
- updated to version 1.7.4

* Tue Jan 11 2011 Michael Perzl <michael@perzl.org> - 1.7.3.5-1
- updated to version 1.7.3.5

* Tue Dec 21 2010 Michael Perzl <michael@perzl.org> - 1.7.3.4-1
- updated to version 1.7.3.4

* Mon Dec 06 2010 Michael Perzl <michael@perzl.org> - 1.7.3.3-1
- updated to version 1.7.3.3

* Mon Oct 25 2010 Michael Perzl <michael@perzl.org> - 1.7.3.2-1
- updated to version 1.7.3.2

* Thu Oct 07 2010 Michael Perzl <michael@perzl.org> - 1.7.3.1-1
- updated to version 1.7.3.1

* Thu Oct 07 2010 Michael Perzl <michael@perzl.org> - 1.7.2.3-1
- updated to version 1.7.2.3

* Thu Aug 26 2010 Michael Perzl <michael@perzl.org> - 1.7.2.2-1
- updated to version 1.7.2.2

* Fri Jul 30 2010 Michael Perzl <michael@perzl.org> - 1.7.2.1-1
- updated to version 1.7.2.1

* Fri Jul 23 2010 Michael Perzl <michael@perzl.org> - 1.7.1.1-1
- updated to version 1.7.1.1

* Fri Jul 23 2010 Michael Perzl <michael@perzl.org> - 1.7.0.6-1
- updated to version 1.7.0.6

* Fri Jul 23 2010 Michael Perzl <michael@perzl.org> - 1.6.6.2-1
- updated to version 1.6.6.2

* Fri Jul 23 2010 Michael Perzl <michael@perzl.org> - 1.6.0.6-1
- updated to version 1.6.0.6

* Thu Nov 05 2009 Michael Perzl <michael@perzl.org> - 1.6.0.1-1
- first version for AIX V5.1 and higher
